package org.gradle.api.tasks.testing

import org.gradle.api.tasks.compile.AbstractOptions

/**
 * @author Tom Eyckmans
 */
class TestNGOptions extends AbstractOptions {
    String annotations = 'JDK'
    boolean dumpCommand = false
    boolean enableAssert = true
    boolean haltonfailure = false
    boolean haltonskipped = false

    List<String> groups = new ArrayList<String>()
    List<String> excludedgroups = new ArrayList<String>()
    String jvm = "java"

    String outputdir
    String sourcedir
    String suiteRunnerClass
    boolean parallel = false
    int threadCount = 1
    String testJar
    long timeOut
    boolean useDefaultListeners = true
    String workingDir
    String suitename = 'Ant suite'
    String testname = 'Ant test'

    List jvmArgs = []
    Map systemProperties = [:]
    Map environment = [:]

    List excludedFieldsFromOptionMap() {
        ['systemProperties', 'jvmArgs', 'environment']
    }
}